-- Script lua para enviar la alternativa A como respuesta al servidor 

require 'tcp'

function writeText(text)				-- Funcion para desplegar texto en la pantalla
   canvas:attrColor(0,0,20,0)
   canvas:attrFont("in_font", 24)
   canvas:drawText(10, 0, text)
   canvas:flush()
end


local function bg_draw()						-- Funcion para dibujar el fondo de la zona de pregunta
	local img = canvas:new('gray.jpg')
	canvas:compose(0, 0, img)
	canvas:flush()
end

local function winHandler (evt)
	if evt.class == "ncl" and evt.type == "presentation" then 							-- Se revisa que el formato del evento sea coherente
		if (evt.action == 'start') then													
		bg_draw()																		-- Se dibuja el fondo de la zona de despliegue de mensaje
		writeText("Su respuesta fue la alternativa A! Espere resultados...")			-- Se escribe cual alternativa se selecciono																				
		local host = "www2.elo.utfsm.cl"												-- Se especifica el host como "www2.elo.utfsm.cl"
		tcp.execute(
			function ()
				tcp.connect(host, 80)													-- Se conecta al host al puerto 80 (http)
				local url = "GET http://"..host.."/~elo323/survey/set_vote.php?opt=1"	-- Requerimiento http para sumar uno a la alternativa seleccionada (A=1)
				tcp.send(url)
				tcp.send("\n")
				--obtém todo o conteúdo da página acessada
				local result = nil
				result = tcp.receive()													-- Se obtiene respuesta del servidor (nula)
				tcp.disconnect()
			end
		)
		end
	end
end
event.register(winHandler)

